/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 *  Memory Handling Routines.
 */

#include <stdlib.h>
#include <string.h>
#include "mem.h"

char *
cpystr(char *str)
{
  char *rv = malloc((strlen(str) + 1)*sizeof(char));
  strcpy(rv, str);
  return rv;
}

void
fs_give(void **ptr)
{
  free((void *)*ptr);
  *ptr = NULL;
}

void *
fs_get(size_t len)
{
  void *rv;
  rv = malloc(len);
  return rv;
}

void
fs_resize(void **result, size_t size)
{
   *result = realloc(*result, size);
}
