#ifndef NORMAL_INCLUDED
#define NORMAL_INCLUDED
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Math Computations for glsd.
 */

/* driver for the computation of critical values ofthe normal distribution */
void normalcv_init(GLSDVARS_S **glsdv);
void normalcv_print(void *result);
void *critical_normal(GLSDVARS_S *stdv, int precision);
void normalcv_free(void **result);
GLSDMETHOD_S *normalcv_pick(char *argv);

/* driver for the computation of the normal distribution */
void normal_init(GLSDVARS_S **glsdv);
void normal_print(void *result);
void *compute_normal(GLSDVARS_S *stdv, int precision);
void normal_free(void **result);
GLSDMETHOD_S *normal_pick(char *argv);

#endif /* NORMAL_INCLUDED */
