#ifndef GLSD_FRAC
#define GLSD_FRAC

#include "int.h"

typedef struct fract_t {
  char n[DIGITS+1];	/* numerator */
  char d[DIGITS+1];	/* denominator */
  unsigned s;	/* sign; s = 1 is for positive; s = 0, negative */
} FRAC_S;

FRAC_S fltofr(double x);
double frtofl(FRAC_S x);
FRAC_S fracadd(FRAC_S x, FRAC_S y);
FRAC_S fracmult(FRAC_S x, FRAC_S y);
void simplify_frac(FRAC_S *f);

#endif /* GLSD_FRAC */
