#ifndef GLSDINT_INCLUDED
#define GLSDINT_INCLUDED

#define DIGITS 2050   /* number of digits, including period and trailing null*/

typedef struct glsd_num{
  char reserve; /* first digit */
  char ldig;	/* last digit */
} NUM_S;

#define CMP_LES 0x001
#define CMP_LEQ 0x010
#define CMP_EQL 0x100


void padzero(char t[DIGITS+1], int n);
int compare(char x[DIGITS+1], char y[DIGITS+1], int flag);

void muln(char x[DIGITS+1], char y[DIGITS+1], char z[DIGITS+1]);
void divn(char x[DIGITS+1], char y[DIGITS+1], char z[DIGITS+1]);
void addn(char x[DIGITS+1], char y[DIGITS+1], char z[DIGITS+1]);
void subn(char x[DIGITS+1], char y[DIGITS+1], char z[DIGITS+1]);



#endif /* GLSDINT_INCLUDED */

