/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * 
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sort.h"

int glsd_compare_int (const void *x, const void *y)
{
  int a = *(int *)x;
  int b = *(int *)y;

  return a < b ? -1 : (a == b ? 0 : 1);
}

int glsd_compare_double (const void *x, const void *y)
{
  double a = *(double *)x;
  double b = *(double *)y;

  return a < b ? -1 : (a == b ? 0 : 1);
}

