#ifndef TABLETV_INCLUDED
#define TABLETV_INCLUDED
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Math Computations for glsd.
 */

void tablet_init(GLSDVARS_S **glsdv);
void tablet_print(void *result);
void *compute_tablet(GLSDVARS_S *stdv, int precision);
void tablet_free(void **result);
GLSDMETHOD_S *tablet_pick(char *argv);

void tablect_init(GLSDVARS_S **glsdv);
void tablect_print(void *result);
void *compute_tablect(GLSDVARS_S *stdv, int precision);
void tablect_free(void **result);
GLSDMETHOD_S *tablect_pick(char *argv);

#endif /* TABLETV_INCLUDED */

