#ifndef TABLECHI_INCLUDED
#define TABLECHI_INCLUDED
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Math Computations for glsd.
 */

void tablechi_init(GLSDVARS_S **glsdv);
void tablechi_print(void *result);
void *compute_tablechi(GLSDVARS_S *stdv, int precision);
void tablechi_free(void **result);
GLSDMETHOD_S *tablechi_pick(char *argv);

void tablecchi_init(GLSDVARS_S **glsdv);
void tablecchi_print(void *result);
void *compute_tablecchi(GLSDVARS_S *stdv, int precision);
void tablecchi_free(void **result);
GLSDMETHOD_S *tablecchi_pick(char *argv);

#endif /* TABLECHI_INCLUDED */

