#ifndef GLSD_LSD
#define GLSD_LSD
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 */

void glsdv_init(GLSDVARS_S **glsdv);
void *compute_lsd(GLSDVARS_S *lsdv, int precision);
void lsd_print(void *result);
void lsd_free(void **result);
GLSDMETHOD_S *lsd_pick(char *argv);

#endif /* GLSD_LSD */
