#ifndef GLSD_STUDENT
#define GLSD_STUDENT
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Math Computations for glsd.
 */

/* driver for critical values of T */
void studentcv_init(GLSDVARS_S **glsdv);
void studentcv_print(void *result);
void *critical_t(GLSDVARS_S *stdv, int precision);
void studentcv_free(void **result);
GLSDMETHOD_S *studentcv_pick(char *argv);

/* driver for values of T */
void student_init(GLSDVARS_S **glsdv);
void student_print(void *result);
void *compute_t(GLSDVARS_S *stdv, int precision);
void student_free(void **result);
GLSDMETHOD_S *student_pick(char *argv);

#endif /* GLSD_STUDENT */
