#ifndef TABLEFISHER_INCLUDED
#define TABLEFISHER_INCLUDED
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Math Computations for glsd.
 */

void tablefisher_init(GLSDVARS_S **glsdv);
void tablefisher_print(void *result);
void *compute_tablefisher(GLSDVARS_S *stdv, int precision);
void tablefisher_free(void **result);
GLSDMETHOD_S *tablefisher_pick(char *argv);

void tablecfisher_init(GLSDVARS_S **glsdv);
void tablecfisher_print(void *result);
void *critical_tablecfisher(GLSDVARS_S *stdv, int precision);
void tablecfisher_free(void **result);
GLSDMETHOD_S *tablecfisher_pick(char *argv);

#endif /* TABLEFISHER_INCLUDED */

