#ifndef TABLEZ_INCLUDED
#define TABLEZ_INCLUDED
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Math Computations for glsd.
 */

void tablen_init(GLSDVARS_S **glsdv);
void tablen_print(void *result);
void *compute_tablen(GLSDVARS_S *stdv, int precision);
void tablen_free(void **result);
GLSDMETHOD_S *tablen_pick(char *argv);

void tablecn_init(GLSDVARS_S **glsdv);
void tablecn_print(void *result);
void *compute_tablecn(GLSDVARS_S *stdv, int precision);
void tablecn_free(void **result);
GLSDMETHOD_S *tablecn_pick(char *argv);

#endif /* TABLEZ_INCLUDED */

